#!/usr/bin/env python
# Public domain

"""Outputs the settings that Epidermis might change, to make restoring
them easier
Run this command to save a file of the settings:
python backup.py > settings.txt"""

import gconf
import subprocess

def main():
    client = gconf.client_get_default()
    
    print "GCONF SETTINGS:"
    gconfPaths = ("/desktop/gnome/peripherals/mouse/cursor_theme", 
        "/apps/gnome-session/options/splash_image", 
        "/desktop/gnome/interface/gtk_theme", "/desktop/gnome/interface/icon_theme",
        "/apps/metacity/general/theme", "/desktop/gnome/background/picture_filename",
        "/desktop/gnome/background/picture_options", "/desktop/gnome/background/color_shading_type",
        "/desktop/gnome/background/primary_color", "/desktop/gnome/background/secondary_color")
    for gconfPath in gconfPaths:
        print "gconf: " + gconfPath + " : " + client.get_string(gconfPath)
    print "gconf: /apps/gnome-session/options/show_splash_screen : " + str(client.get_bool("/apps/gnome-session/options/show_splash_screen"))
    print ""
    
    print "GDM SETTINGS:"
    print "Epidermis will create a backup copy of /etc/gdm/gdm.conf-custom at"
    print "/etc/gdm/gdm.conf-custom.epidermisinit.bak"
    print ""
    
    print "GRUB SPLASH SETTINGS:"
    subprocess.call("ls -l /boot/grub/splash.xpm.gz", shell=True)
    print ""
    
    print "USPLASH SETTINGS:" 
    subprocess.call("update-alternatives --display usplash-artwork.so", shell=True)
    print ""
    
    print "END."
    
    
if __name__ == "__main__":
    main()
    